import { html as l } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, i = c.length - 1, n; i >= 0; i--)
    (n = c[i]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && m(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--locationPinUserLarge", this.class = "c-pieIcon c-pieIcon--locationPinUserLarge", this.name = "IconLocationPinUserLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--locationPinUserLarge"><path d="M15.799 15.256a4.13 4.13 0 1 0-4.13-4.121 4.12 4.12 0 0 0 4.13 4.121m0-6.597a2.476 2.476 0 1 1 0 4.952 2.476 2.476 0 0 1 0-4.952"></path><path d="M23.586 6.13a10.65 10.65 0 0 0-15.172 0 10.92 10.92 0 0 0 0 15.321L16 29.125l7.586-7.674a10.92 10.92 0 0 0 0-15.321m-4.655 17.684-2.056 2.117-.875.875-2.765-2.791-3.57-3.64a4.9 4.9 0 0 1 3.833-1.82H18.1a4.85 4.85 0 0 1 4.025 2.065zm4.288-4.463a6.55 6.55 0 0 0-5.119-2.476h-4.603a6.56 6.56 0 0 0-4.9 2.179 9.275 9.275 0 0 1 .99-11.804 9.004 9.004 0 0 1 12.827 0 9.275 9.275 0 0 1 .805 12.101"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  f("icon-location-pin-user-large")
], o);
export {
  o as IconLocationPinUserLarge
};
